package intrinsic.flash.display;

public class Sprite extends intrinsic.flash.display.DisplayObjectContainer {

	/** Accessors */
	public intrinsic.flash.media.SoundTransform soundTransform;
	public intrinsic.flash.display.DisplayObject dropTarget;
	public boolean useHandCursor;
	public intrinsic.flash.display.Sprite hitArea;
	public intrinsic.flash.display.Graphics graphics;
	public boolean buttonMode;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Sprite() {
}


/** Static Methods */

/** Methods */
public native void startDrag();
public native void startDrag(boolean arg0);
public native void startDrag(boolean arg0, intrinsic.flash.geom.Rectangle arg1);
public native void stopDrag();

}
